function KQueue: cint; inline;
begin
  KQueue:=Do_SysCall(syscall_nr_kqueue);
end;

function KEvent(kq: cint; ChangeList: PKEvent; nChanged: cint;
                EventList: PKevent; nEvents: cint; Timeout: PTimeSpec): cint; inline;
begin
  KEvent:=Do_SysCall(syscall_nr_kevent, kq, TSysParam(ChangeList), nChanged,
                     TSysParam(EventList), nEvents, TSysParam(Timeout));
end;

procedure EV_SET(kevp: PKEvent; const aIdent: cuint; const aFilter: cshort; const aFlags: cushort;
                                const aFFlags: cuint; const aData: cint; const auData: Pointer); inline;
begin
  kevp^.Ident  := aIdent;
  kevp^.Filter := aFilter;
  kevp^.Flags  := aFlags;
  kevp^.FFlags := aFFlags;
  kevp^.Data   := aData;
  kevp^.uData  := auData;
end;
 
